Query conversation metric

POST
/beta/intelligence/conversations/metrics/{metricId}

Get the value of a conversation metric for a period or a list of conversations. All aggregates of the metric are returned. If nothing matches, count is 0 and the other aggregates are null.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

metricId*string

The id of a conversation metric

Request Body

The query

application/json
  1. body

A conversation metric query

primaryFilter*|

The period or conversations to query, given as either {"period": {...}} or {"conversationIds": [8123456, 8123481]}

filters?array<>

The filters to apply. All filters must match

timezone*string

The timezone presets and days are evaluated in, such as Europe/Copenhagen

Response Body

The metric values, keyed by aggregate name

application/json
  1. response
data*

The metric values, keyed by the name of each of the metric's aggregates. All aggregates are included. If nothing matches, count is 0, min, max, sum, average, stdDev and percentage are null, and an object value is filled with zeros

curl -X POST 'https://dev.dixa.io/beta/intelligence/conversations/metrics/closedConversations' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "primaryFilter": {    "period": {      "interval": {        "from": "2026-06-01T00:00:00Z",        "to": "2026-07-01T00:00:00Z"      }    }  },  "filters": [    {      "attribute": "queue",      "values": [        "2f9b6d51-38c4-4a72-9e15-7c8b3f6a2d90"      ],      "operator": "IsOne"    },    {      "attribute": "initialDirection",      "values": [        "Inbound"      ]    }  ],  "timezone": "Europe/Copenhagen"}'
{
"data": {
"count": 1284
}
}

The number of closed conversations